aboutsummaryrefslogtreecommitdiff
path: root/src/secp256k1/ci
diff options
context:
space:
mode:
authorPieter Wuille <pieter@wuille.net>2021-12-15 09:19:50 -0500
committerPieter Wuille <pieter@wuille.net>2021-12-15 09:19:50 -0500
commitdff0596fa0e289b2dfec3b4adbe05e0c14c11d79 (patch)
tree1631eccfc7023142f2acbbe1162a17af26c35e7a /src/secp256k1/ci
parentb8cc75435a0bcb6c62083ff134b1ba3d2ace50d1 (diff)
parent86dbc4d075decb82fbba837aaa283cf0561897ad (diff)
downloadbitcoin-dff0596fa0e289b2dfec3b4adbe05e0c14c11d79.tar.xz
Update secp256k1 subtree to latest upstream master
Diffstat (limited to 'src/secp256k1/ci')
-rwxr-xr-xsrc/secp256k1/ci/cirrus.sh33
-rw-r--r--src/secp256k1/ci/linux-debian.Dockerfile2
2 files changed, 15 insertions, 20 deletions
diff --git a/src/secp256k1/ci/cirrus.sh b/src/secp256k1/ci/cirrus.sh
index 27db1e6779..e27b34782e 100755
--- a/src/secp256k1/ci/cirrus.sh
+++ b/src/secp256k1/ci/cirrus.sh
@@ -26,16 +26,12 @@ make
# Print information about binaries so that we can see that the architecture is correct
file *tests* || true
-file bench_* || true
+file bench* || true
file .libs/* || true
# This tells `make check` to wrap test invocations.
export LOG_COMPILER="$WRAPPER_CMD"
-# This limits the iterations in the tests and benchmarks.
-export SECP256K1_TEST_ITERS="$TEST_ITERS"
-export SECP256K1_BENCH_ITERS="$BENCH_ITERS"
-
make "$BUILD"
if [ "$BENCH" = "yes" ]
@@ -49,23 +45,22 @@ then
{
$EXEC ./bench_ecmult
$EXEC ./bench_internal
- $EXEC ./bench_sign
- $EXEC ./bench_verify
+ $EXEC ./bench
} >> bench.log 2>&1
- if [ "$RECOVERY" = "yes" ]
- then
- $EXEC ./bench_recover >> bench.log 2>&1
- fi
- if [ "$ECDH" = "yes" ]
- then
- $EXEC ./bench_ecdh >> bench.log 2>&1
- fi
- if [ "$SCHNORRSIG" = "yes" ]
- then
- $EXEC ./bench_schnorrsig >> bench.log 2>&1
- fi
fi
+
if [ "$CTIMETEST" = "yes" ]
then
./libtool --mode=execute valgrind --error-exitcode=42 ./valgrind_ctime_test > valgrind_ctime_test.log 2>&1
fi
+
+# Rebuild precomputed files (if not cross-compiling).
+if [ -z "$HOST" ]
+then
+ make clean-precomp
+ make precomp
+fi
+
+# Check that no repo files have been modified by the build.
+# (This fails for example if the precomp files need to be updated in the repo.)
+git diff --exit-code
diff --git a/src/secp256k1/ci/linux-debian.Dockerfile b/src/secp256k1/ci/linux-debian.Dockerfile
index 2c02ed69d0..fdba12aa00 100644
--- a/src/secp256k1/ci/linux-debian.Dockerfile
+++ b/src/secp256k1/ci/linux-debian.Dockerfile
@@ -14,7 +14,7 @@ RUN apt-get install --no-install-recommends --no-upgrade -y \
make automake libtool pkg-config dpkg-dev valgrind qemu-user \
gcc clang llvm libc6-dbg \
g++ \
- gcc-i686-linux-gnu libc6-dev-i386-cross libc6-dbg:i386 libubsan1:i386 libasan5:i386 \
+ gcc-i686-linux-gnu libc6-dev-i386-cross libc6-dbg:i386 libubsan1:i386 libasan6:i386 \
gcc-s390x-linux-gnu libc6-dev-s390x-cross libc6-dbg:s390x \
gcc-arm-linux-gnueabihf libc6-dev-armhf-cross libc6-dbg:armhf \
gcc-aarch64-linux-gnu libc6-dev-arm64-cross libc6-dbg:arm64 \